console.log("testJS: started");

function playNotification(){
     console.log("play audio file");
     var audioContext = new (window.AudioContext || window.webkitAudioContext)();
     var audioElement = document.createElement('audio');
     audioElement.src = "assets/sounds/notification_long.mp3";
     var audioSourceNode = audioContext.createMediaElementSource(audioElement);
     audioSourceNode.connect(audioContext.destination);
     audioElement.play();
}

function pickMediaFiles() {
    return new Promise((resolve, reject) => {
        let files;
        let inputElement = document.createElement("input");
        inputElement.type = "file";
        inputElement.multiple = true;
        inputElement.onchange = function(event) {
            console.log("Calling from JS, pickPhoto: result: ", JSON.stringify(event));
            files = event.target.files;
            console.log("Calling from JS, pickPhoto: got file: ", files);
            resolve(files);
        }
        inputElement.onerror = function(error) {
            reject(error);
        }
        inputElement.click();
    });
}


function pickSingleFile() {
    return new Promise((resolve, reject) => {
        let files;
        let inputElement = document.createElement("input");
        inputElement.type = "file";
        inputElement.multiple = false;
        inputElement.onchange = function(event) {
            console.log("Calling from JS, pickSingleFile: result: ", JSON.stringify(event));
            files = event.target.files;
            console.log("Calling from JS, pickSingleFile: got file: ", files);
            if (files.length === 0) {
                reject("No file selected");
            } else {
                console.log("Calling from JS, pickSingleFile: got file: ", files);
                resolve(files[0]);
            }
        }
        inputElement.onerror = function(error) {
            reject(error);
        }
        inputElement.click();
    });
}

function exportFile(url, fileName){
    let element = document.createElement("a");
    element.setAttribute("href", url);
    element.setAttribute("download", fileName);
    console.log("Calling form JS, exportFile: " + fileName);
    element.onclick = function() {
        console.log("Calling form JS, exportFile: Download initiated");
        setTimeout(() => {
            console.log("Calling form JS, exportFile: revoking URL");
            URL.revokeObjectURL(url);
        }, 3000);
    };
    element.click();
}